多款Cisco产品NX-OS Software NX-API management API 权限许可和访问控制漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1212438 漏洞类型 操作系统命令注入
发布时间 2018-06-21 更新时间 2019-10-17
CVE编号 CVE-2018-0330 CNNVD-ID CNNVD-201806-1045
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201806-1045
|漏洞详情
Cisco MDS 9000 Series Multilayer Switches等都是美国思科(Cisco)公司的不同系列的交换机设备。NX-OS Software是运行在其中的一套交换机使用的数据中心级操作系统软件。NX-API management API是其中的一个用于管理NX-API的应用程序编程接口。 多款Cisco产品中的NX-OS Software的NX-API management API存在提权漏洞,该漏洞源于程序没有正确验证NX-API请求中的参数。远程攻击者可通过发送请求利用该漏洞以提升的权限执行命令。以下产品(被配置使用NX-API功能的产品)受到影响:Cisco MDS 9000 Series Multilayer Switches;Nexus 2000 Series Switches;Nexus 3000 Series Switches;Nexus 3500 Platform Switches;Nexus 5500 Platform Switches;Nexus 5600 Platform Switches;Nexus 6000 Series Switches;Nexus 7000 Series Switches;Nexus 7700 Series Switches;Nexus 9000 Series Switches(处于standalone NX-OS模式下)。
|参考资料

来源:tools.cisco.com

链接:https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20180620-nxos-nxapi